OTBGUI_CONTRASTENHANCEMENT(1)

NAME
otbgui_ContrastEnhancement - OTB ContrastEnhancement application

DESCRIPTION
This is the Contrast Enhancement (ContrastEnhancement) application, version 6.4.0

This application is the implementation of the histogram equalization algorithm. It can be used to enhance contrast in an image or to reduce the dynamic of the image without losing too much contrast. It offers several options as a no data value, a contrast limitation factor, a local version of the algorithm and also a mode to equalized the luminance of the image.

Parameters:

-in <string> Input Image (mandatory)

-out                 <string> [pixel] Output Image  [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-bins
    <int32> Number of bin (mandatory, default value is 256)

-hfact
    <float> Contrast Limitation (optional, off by default)

-nodata
    <float> Nodata Value (optional, off by default)

-spatial
    <string> Spatial parameters for the histogram computation [local/global] (mandatory, default value is local)

-spatial.local.h
    <int32> Thumbnail height in pixel (mandatory, default value is 256)

-spatial.local.w
    <int32> Thumbnail width in pixel (mandatory, default value is 256)

-minmax
    <string> Minimum and maximum definition [auto/manuel] (mandatory, default value is auto)

-minmax.auto.global
    <boolean> Global (optional, off by default)

-minmax.manuel.min
    <float> Minimum (optional, off by default)

-minmax.manuel.max
    <float> Maximum (optional, off by default)

-mode
    <string> What to equalized [each/lum] (mandatory, default value is each)

-mode.lum.red
    <group> Red Channel

-mode.lum.red.ch
    <int32> Red Channel (mandatory, default value is 0)

-mode.lum.red.coef
    <float> Value for luminance computation (mandatory, default value is 0.21)

-mode.lum.green
    <group> Green Channel

-mode.lum.green.ch
    <int32> Greenen Channel (mandatory, default value is 1)

-mode.lum.green.coef <float>
    Value for luminance computation (mandatory, default value is 0.71)

-mode.lum.blue
    <group> Blue Channel

-mode.lum.blue.ch
    <int32> Blue Channel (mandatory, default value is 2)

-mode.lum.blue.coef
    <float> Value for luminance computation (mandatory, default value is 0.08)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

-progress
    <boolean> Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
Local contrast enhancement by luminance

otbgui_ContrastEnhancement -in couleurs.tif -out equalizedcouleurs.tif float -bins 256 -spatial.local.w 500 -spatial.local.h 500 -mode lum